Bug 500317

Summary: Vista install fails in qemu guest (without kvm)
Product: [Fedora] Fedora Reporter: Liam Li <lili>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 11CC: berrange, clalance, crobinso, dwmw2, gcosta, itamar, jlaska, markmc, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Windows   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:29:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 480594    
Attachments:
Description Flags
vista screen shot
none
vista log none

Description Liam Li 2009-05-12 05:02:18 EDT
Created attachment 343554 [details]
vista screen shot

Description of problem:
create a VM in vert-manager to install vista, when the system started and loaded,install will hang up

Version-Release number of selected component (if applicable):

qume-kvm-0.10-16.fc11.i586
How reproducible:

100%
Steps to Reproduce:
1. create a VM with 1024M,16G,windows,vista
2. start system to boot from en_windows_vista_enterprise_with_service_pack_1_x86_dvd_x14-55954.iso
3. VM will hung up during install,see more from attachment
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2009-05-18 09:07:50 EDT
Changing to QEMU, since guest hangs are almost always emulation bugs.
Comment 2 Glauber Costa 2009-05-19 00:08:35 EDT
Can you test with a more recent version of qemu? This one is our latest:

http://koji.fedoraproject.org/koji/buildinfo?buildID=102640

Also, make sure you go through https://fedoraproject.org/wiki/Tools/Virtualization/BugReporting

There is not enough info on what you're doing.
Is kvm enabled? (effectively being used)
Make sure you include the full qemu logs as well.
Comment 3 Liam Li 2009-05-19 05:52:29 EDT
[root@dhcp-66-70-91 qemu]# rpm -qa |grep qemu
qemu-system-cris-0.10.4-5.fc11.i586
qemu-0.10.4-5.fc11.i586
qemu-common-0.10.4-5.fc11.i586
qemu-system-sparc-0.10.4-5.fc11.i586
qemu-system-x86-0.10.4-5.fc11.i586
qemu-system-mips-0.10.4-5.fc11.i586
qemu-kvm-0.10.4-5.fc11.i586
qemu-user-0.10.4-5.fc11.i586
qemu-system-arm-0.10.4-5.fc11.i586
qemu-system-ppc-0.10.4-5.fc11.i586
qemu-img-0.10.4-5.fc11.i586
qemu-debuginfo-0.10.4-5.fc11.i586
qemu-system-sh4-0.10.4-5.fc11.i586
qemu-kvm-tools-0.10.4-5.fc11.i586
qemu-system-m68k-0.10.4-5.fc11.i586
,
your latest qemu has the same issue.See attached logs.

Thanks
Liam
Comment 4 Liam Li 2009-05-19 05:57:56 EDT
Created attachment 344601 [details]
vista log
Comment 5 Mark McLoughlin 2009-05-22 11:57:48 EDT
Liam: you're not actually using KVM here, is that intended? i.e. you're running /usr/bin/qemu rather than /usr/bin/qemu-kvm
Comment 6 James Laska 2009-05-22 12:07:37 EDT
Liam: check out this link to be sure your guest is using KVM (https://fedoraproject.org/wiki/Reporting_virtualization_bugs#Is_My_Guest_Using_KVM.3F)
Comment 7 Daniel Berrange 2009-05-22 12:10:07 EDT
Regardless of whether he's using QEMU or KVM, it shouldn't hang :-) It'd be worth trying KVM though, to see if its an QEMU CPU emulation bug or not.

I don't see a -no-acpi flag, which is *good*, so its not that.

It is using the default NIC model, which is rtl8139. This is often a potential problem if it accesses network, but then this seems to be dieing at install, where I reckon its probably still exclusively using the CDROM device, and not doing network IO. Might be interesting to get a 'virsh domifstat GUESTNAME TAP-DEV-NAME' to confirm this (TAP-DEV-NAME is the vnetXXX name shown in XML config for running guest)
Comment 8 Liam Li 2009-05-25 02:16:17 EDT
Sorry, you are right,I am not using kvm,after enabled,reinstall vista,it works.
Comment 9 Bug Zapper 2009-06-09 11:40:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Admin XMLRPC Client 2010-03-09 11:53:26 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2010-03-09 12:17:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Bug Zapper 2010-04-27 10:16:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 08:29:52 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.